<ion-header>
    <ion-toolbar>
        <ion-title>Náplanované předměty</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid>
        <div [hidden]=schovaneUpozorneni>
            <ion-row>Nejdříve musíte vytvořit plán.</ion-row>
        </div>
        <ion-list *ngFor="let zaznamy of (vratZaznamy())">
            <ion-item color="danger" class="nadpis">{{zaznamy[1].rocnik}}. ročník {{zaznamy[1].semestr}}</ion-item>
            <ion-list class="radek" *ngFor="let predmet of zaznamy[1].data">
                <ion-row><ion-col size="5"><b>{{predmet.katedra}}/{{predmet.zkratka}}</b></ion-col><ion-col size="4">Statut předmětu</ion-col><ion-col><b>{{predmet.statut}}</b></ion-col></ion-row>
                <ion-row><ion-col>{{predmet.nazev}}</ion-col></ion-row>
                <ion-row><ion-col size="4">Počet kreditů:</ion-col><ion-col>{{predmet.kreditu}}</ion-col></ion-row>
                <div [hidden]=predmet.doporuceni>
                    <ion-row><ion-col size="5">Doporučený ročník:</ion-col><ion-col>{{predmet.doporucenyRocnik}}.</ion-col></ion-row>
                </div>
                <div [hidden]=predmet.podminujiciPredmetyZobraz>
                    <ion-row><ion-col size="5">Podmiňující předměty:</ion-col><ion-col>{{predmet.podminujiciPredmety}}</ion-col></ion-row>
                </div>
                <div [hidden]=predmet.vylucujiciPredmetyZobraz>
                    <ion-row><ion-col size="5">Vylučující předměty:</ion-col><ion-col>{{predmet.vylucujiciPredmety}}</ion-col></ion-row>
                </div>
                <div [hidden]=predmet.podminujePredmetyZobraz>
                    <ion-row><ion-col size="5">Podmiňuje předměty:</ion-col><ion-col>{{predmet.podminujePredmety}}</ion-col></ion-row>
                </div>
            </ion-list>
        </ion-list>
    </ion-grid>
</ion-content>
<app-menu></app-menu>
